## gate.event
Class GateEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--gate.event.GateEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AnnotationEvent, AnnotationSetEvent, CorpusEvent, CreoleEvent, DatastoreEvent, DocumentEvent, ObjectModificationEvent

public class GateEvent
extends EventObject

The top level event class for all the event types fired by the Gate system.

See Also:
  Serialized Form

Field Summary
`static int` `FEATURES_UPDATED`

Constructor Summary
`GateEvent(Object source, int type)` Constructor from source and type.

Method Summary
`int` `getType()` Gets the type of the event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FEATURES_UPDATED

    public static final int FEATURES_UPDATED

Constructor Detail

### GateEvent

    public GateEvent(Object source,
                     int type)

  Constructor from source and type.
  Parameters:
    `source` - the object that initiated this event
    `type` - the type on the event.

Method Detail

### getType

    public int getType()

  Gets the type of the event.